Bug 5194 - fsck запускается с параметрами, поддерживающимися только ext2/ext3 файловыми системами
: fsck запускается с параметрами, поддерживающимися только ext2/ext3 файловыми ...
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/reiser4progs)
: unstable
: all Linux
: P2 normal
Assigned To:
:
: http://lists.altlinux.ru/pipermail/si...
:
:
:
  Show dependency tree
 
Reported: 2004-09-09 20:10 by
Modified: 2011-04-25 20:55 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-09-09 20:10:51
Моя конфигурация /boot - ext2, / - reiser4. При старте /etc/rc.d/rc.sysinit
вызывает initlog "fsck -Tay $fsckoptions /" при fsckoptions="-C" и
вываливается,
так как у fsck.reiesr4 таких опций быть не должно. 
В sisyphus@ я получил ответ, что эта же проблема возникает при конфигурации
/boot - ext2 и / - reiserfs (см.
http://lists.altlinux.ru/pipermail/sisyphus/2004-September/045902.html )
   Сергей.
------- Comment #1 From 2004-09-09 20:17:49 -------
fsck.reiserfs(8) не поддерживает необходимый набор параметров.
------- Comment #2 From 2004-09-10 10:24:05 -------
А есть описание необходимого набора параметров для fsck* ???
------- Comment #3 From 2004-11-18 08:10:23 -------
(In reply to comment #1)
> fsck.reiserfs(8) не поддерживает необходимый набор параметров.
Их не поддерживают также fsck.ext2, fsck.ext3, fsck.cramfs, fsck.msdos и fsck.vfat
Единственная из установленных у меня Сизифовских fsck, которая не завершается
аварийно при вызове с такими параметрами, это fsck.xfs. Она, правда, никогда не
завершается аварийно, так как по определению ничего не делает.
   
------- Comment #4 From 2004-11-18 14:36:35 -------
2ldv: может быть нам стоит пересмотреть технологию запуска fsck ?
------- Comment #5 From 2004-11-18 14:40:48 -------
Что, по вашему, не поддерживает fsck.ext2(8)?
------- Comment #6 From 2004-12-26 23:20:07 -------
(In reply to comment #5)
> Что, по вашему, не поддерживает fsck.ext2(8)?
Опцию -T: 

# fsck.ext2 -Tay /dev/hda1
fsck.ext2: invalid option -- T
....
# grep -nH 'Tay' /etc/rc.d/rc.sysinit
/etc/rc.d/rc.sysinit:122:       initlog -c "fsck -Tay $fsckoptions /"
------- Comment #7 From 2004-12-26 23:32:17 -------
fsck != fsck.ext2
У fsck.ext2 нет ключа "-T".
Хотя я, кажется, понял вашу мысль - fsck не должно передавать ключ "-T"
backend'у.  Но ведь fsck этого и не делает.

Проблема была в том, что fsck.reiserfs не понимает ключ "-C", верно?
------- Comment #8 From 2004-12-27 04:40:59 -------
(In reply to comment #7)
> fsck != fsck.ext2
> У fsck.ext2 нет ключа "-T".
> Хотя я, кажется, понял вашу мысль - fsck не должно передавать ключ "-T"
> backend'у.  Но ведь fsck этого и не делает.
> 
> Проблема была в том, что fsck.reiserfs не понимает ключ "-C", верно?
Вы правы. Я не разобрался в том, что fsck меняет ключи при передаче backend'y. И
действительно, fsck.reiser4 не понимает ключа "-C". 
   Сергей.
------- Comment #9 From 2004-12-27 10:30:10 -------
Судя по man fsck:
       -C     Display  completion/progress bars for those filesystems checkers
              (currently only for ext2) which support them.   Fsck will manage
              the  filesystem checkers so that only one of them will display a
              progress bar at a time.

опция -C вообще работает только для ext2. Может быть стоит ее убрать из
параметров fsck, запускаемого при загрузке ?
------- Comment #10 From 2005-06-20 19:29:52 -------
reassign to startup
------- Comment #11 From 2005-06-20 19:31:14 -------
Согласно man fsck:
       -C [  fd  ]
              Display  completion/progress  bars for those filesystem checkers
              (currently only for ext2 and ext3) which  support  them.    Fsck
              will  manage  the  filesystem  checkers so that only one of them
              will display a progress bar at a time.  GUI front-ends may spec-
              ify  a file descriptor fd, in which case the progress bar infor-
              mation will be sent that file descriptor.
------- Comment #12 From 2005-06-20 21:51:02 -------
Rider, я не понял, ты предлагаешь убрать progress?
------- Comment #13 From 2005-06-21 13:40:33 -------
а может быть progress запускать в зависимости от типа файловой системы ?
------- Comment #14 From 2006-02-14 14:56:25 -------
Вот бы еще fsck.reiserfs добавить опцию -T, чтобы не выводило сообщений про 
структуру/количество файлов/clean... 
------- Comment #15 From 2008-01-20 15:02:00 -------
(In reply to comment #14)
> Вот бы еще fsck.reiserfs добавить опцию -T, чтобы не выводило сообщений про 
> структуру/количество файлов/clean... 
Кажется, как раз эту опцию не переваривало reiserfsck...  Дима дважды её
добавлял, а я, пока ещё бывали корни на рейзере -- дважды ловил и ругался.

Есть мнение, что это баги fsck.reiser*.
------- Comment #16 From 2011-04-25 20:55:20 -------
apparently wontfix...

(In reply to comment #12)
> Rider, я не понял, ты предлагаешь убрать progress?
<mode name="moan">Опять прогресс важнее работоспособности!</mode>